apiVersion: kibana.k8s.elastic.co/v1
kind: Kibana
metadata:
  name: kibana
  namespace: monitoring
spec:
  version: 7.17.8
  count: 1
  elasticsearchRef:
    name: elasticsearch
  http:
    tls:
      selfSignedCertificate:
        disabled: true
  podTemplate:
    metadata:
      labels:
        vector.dev/exclude: "true"
    spec:
      containers:
        - name: kibana
          resources:
            requests:
              memory: 400Mi
              cpu: 50m
            limits:
              memory: 512Mi
              cpu: 100m
  config:
    server.publicBaseUrl: "https://kibana.rabin.oictinternal.cz"
    xpack.reporting.roles.enabled: false
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: kibana-internal-ingress
  namespace: monitoring
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  ingressClassName: nginx-internal
  rules:
    - host: kibana.rabin.oictinternal.cz
      http:
        paths:
          - backend:
              service:
                name: kibana-kb-http
                port:
                  number: 5601
            path: /
            pathType: Prefix
  tls:
    - hosts:
        - kibana.rabin.oictinternal.cz
      secretName: kibana.rabin.oictinternal.cz-tls
